#include <iostream>

using namespace std;
void unos_niza(int a[],int n)
{
    for (int i=0;i<n;i++)
        cin >> a[i];
}

void sortiranje_u_rastucem_poretku (int a[],int n)
{
    int i,j,temp;
    for (i=0;i<n;i++)
        for (j=i+1;j<n;j++)
            if(a[j]<a[i])
            {
                temp=a[i];
                a[i]=a[j];
                a[j]=temp;
            }
}

int main()
{
    int t,i,n,m,x,j=0;
    cin >> t;
    int a[75000],b[75000];
    if ((t>=1)&&(t<=5))
    {
       do
        {
            cin >> n >> m;
            unos_niza(a,n);
            unos_niza(b,m);
            sortiranje_u_rastucem_poretku(a,n);
            x=a[1]-a[0];
            for (i=2;i<n;i++)
                if (a[i]-a[i-1]!=x)
                {
                    cout << 0;
                    break;
                }
                else
                    for (i=0;i<n;i++)
                        for (int j=0;j<m;j++)
                            if (a[i]==b[j])
                            {
                                cout << 0;
                                break;
                            }
                            else
                                cout << 1;
            j++;
        }
        while (j<t);
    }
    return 0;
}